Loading...
Searching...
No Matches
mongocxx::v1::rewrap_many_datakey_options Class Reference

`#include <mongocxx/v1/rewrap_many_datakey_options.hpp>`

## Description

Options for a "rewrapManyDataKey" operation.

Supported fields include:

- master_key ("masterKey")
- provider

See also
  - Rotate and Rewrap Encryption Keys (MongoDB Manual)

## Public Member Functions

| rewrap_many_datakey_options ()
| Default initialization.
| rewrap_many_datakey_options (rewrap_many_datakey_options &&other) noexcept
| Move constructor.
| rewrap_many_datakey_options (rewrap_many_datakey_options const &other)
| Copy construction.
| ~rewrap_many_datakey_options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > | master_key () const
| Return the current "masterKey" field.
rewrap_many_datakey_options & | master_key (bsoncxx::v1::document::value v)
| Set the "masterKey" field.
rewrap_many_datakey_options & | operator= (rewrap_many_datakey_options &&other) noexcept
| Move assignment.
rewrap_many_datakey_options & | operator= (rewrap_many_datakey_options const &other)
| Copy assignment.
bsoncxx::v1::stdx::string_view | provider () const
| Return the current "provider" field.
rewrap_many_datakey_options & | provider (std::string v)
| Set the "provider" field.

## Constructor & Destructor Documentation

## ~rewrap_many_datakey_options()

mongocxx::v1::rewrap_many_datakey_options::~rewrap_many_datakey_options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## rewrap_many_datakey_options() [1/3]

mongocxx::v1::rewrap_many_datakey_options::rewrap_many_datakey_options | ( | rewrap_many_datakey_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## rewrap_many_datakey_options() [2/3]

mongocxx::v1::rewrap_many_datakey_options::rewrap_many_datakey_options | ( | rewrap_many_datakey_options const & | other | ) |

Copy construction.

## rewrap_many_datakey_options() [3/3]

mongocxx::v1::rewrap_many_datakey_options::rewrap_many_datakey_options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## master_key() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > mongocxx::v1::rewrap_many_datakey_options::master_key | ( |  | ) | const

Return the current "masterKey" field.

## master_key() [2/2]

rewrap_many_datakey_options & mongocxx::v1::rewrap_many_datakey_options::master_key | ( | bsoncxx::v1::document::value | v | ) |

Set the "masterKey" field.

## operator=() [1/2]

rewrap_many_datakey_options & mongocxx::v1::rewrap_many_datakey_options::operator= | ( | rewrap_many_datakey_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

rewrap_many_datakey_options & mongocxx::v1::rewrap_many_datakey_options::operator= | ( | rewrap_many_datakey_options const & | other | ) |

Copy assignment.

## provider() [1/2]

bsoncxx::v1::stdx::string_view mongocxx::v1::rewrap_many_datakey_options::provider | ( |  | ) | const

Return the current "provider" field.

## provider() [2/2]

rewrap_many_datakey_options & mongocxx::v1::rewrap_many_datakey_options::provider | ( | std::string | v | ) |

Set the "provider" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/rewrap_many_datakey_options.hpp